Summary: Hostsentry is a Login Anomaly Detection (LAD) tool
Name: hostsentry
Version: 0.02
Release: 4
Copyright: Distributable
Group: Applications/System
URL: http://www.psionic.com/abacus/hostsentry/
Source: http://www.psionic.com/tools/hostsentry-%{version}.tar.gz
Source1: hostsentry.init
Patch0: %{name}-%{version}-Makefile.patch
Patch1: %{name}-%{version}-config.patch
Patch2: %{name}-%{version}-paths.patch
Patch3: %{name}-%{version}-env.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: python
PreReq: /sbin/chkconfig , /sbin/service
PreReq: python

%description
HostSentry is a host based intrusion detection tool that performs Login Anomaly Detection (LAD). This tool allows administrators to spot strange login behavior and quickly respond to compromised accounts and unusual behavior. HostSentry incorporates a dynamic database and actually "learns" the user login behavior. This behavior is then utilized by modular signatures to detect unusual events.

%prep
%setup -q 
%patch0 -p1 -b .rhinstall
%patch1 -p1 -b .rhconfig
%patch2 -p1 -b .redhat
%patch3 -p1 -b .env

%build
%install
rm -rf $RPM_BUILD_ROOT

install -d -m700 $RPM_BUILD_ROOT%{_sysconfdir}/hostsentry
install -d -m700 $RPM_BUILD_ROOT%{_localstatedir}/hostsentry
install -d -m700 $RPM_BUILD_ROOT%{_libdir}/hostsentry/modules
install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d

install -m600 hostsentry.conf $RPM_BUILD_ROOT%{_sysconfdir}/hostsentry
install -m600 hostsentry.ignore $RPM_BUILD_ROOT%{_sysconfdir}/hostsentry
install -m600 hostsentry.action $RPM_BUILD_ROOT%{_sysconfdir}/hostsentry
install -m600 hostsentry.modules $RPM_BUILD_ROOT%{_sysconfdir}/hostsentry
install -m600 moduleForeignDomain.allow $RPM_BUILD_ROOT%{_sysconfdir}/hostsentry
install -m600 moduleMultipleLogins.allow $RPM_BUILD_ROOT%{_sysconfdir}/hostsentry

install -m0700 host*.py $RPM_BUILD_ROOT%{_libdir}/hostsentry
install -m0700 module*.py $RPM_BUILD_ROOT%{_libdir}/hostsentry/modules

install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/hostsentry

python -c "import compileall; compileall.compile_dir('"$RPM_BUILD_ROOT"%{_libdir}/hostsentry',4,'%{_libdi\r}/hostsentry')"

pushd $RPM_BUILD_ROOT%{_libdir}/hostsentry/
chmod 644 `find . -name "*.py*"`
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README.BUGS README.credits README.install
%doc README.intro README.modules README.paper README.technical
%doc README.why_python README.wtmp TODO
%config %{_sysconfdir}/hostsentry/hostsentry.conf
%config %{_sysconfdir}/hostsentry/hostsentry.ignore
%config %{_sysconfdir}/hostsentry/hostsentry.action
%config %{_sysconfdir}/hostsentry/hostsentry.modules
%config %{_sysconfdir}/hostsentry/moduleForeignDomain.allow
%config %{_sysconfdir}/hostsentry/moduleMultipleLogins.allow
%dir %{_sysconfdir}/hostsentry
%config %{_sysconfdir}/rc.d/init.d/hostsentry
%{_libdir}/hostsentry
%dir %{_localstatedir}/hostsentry

%changelog
* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- updated initscript

* Tue Oct 10 2000 Tim Powers <timp@redhat.com> 
- fixed initscript so it wouldn't start hostsentry if it's already
  running
- fixed permissions for hostsentry python scripts and config files. It
  should be 700 for security purposes

* Mon Oct  9 2000 Tim Powers <timp@redhat.com> 
- fixed probelms with moduleForeignLogin and moduleMultipleLogin
- byte compile the .py stuff so that it can be accounted for by RPM
  instead of the first time hostsentry is run

* Sat Sep 30 2000 Tim Powers <timp@redhat.com>
- initial spec file.
